DeluxHostAPI Reference
Account credit

Get account credit balance

GET
/v1/credit/balance

Authorization

apiToken billing:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: billing:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
balanceCents*number
autopay*boolean
curl -X GET 'https://api.deluxhost.net/v1/credit/balance' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "balanceCents": 0,  "autopay": true}